
      subroutine agchnl(iaxs,vils,chrm,mcim,ncim,ipxm,chre,mcie,ncie)
      common/islat/ iplat
      character*(*) chrm,chre
c
      if (iplat.gt.0.and.iaxs.eq.3.and.
     +   (vils.gt.90..or.vils.lt.-90.)) then
        if (vils.gt.90.) then
          vnew = 180.-vils
          write(chrm,"(i2)") ifix(vnew)
          ncim = 2
        elseif (vils.lt.-90.) then
          vnew = -(180.-abs(vils))
          write(chrm,"(i3)") ifix(vnew)
          ncim = 3
        endif
      endif
      return
      end
